These are chat archives for fossasia/open-event-server

27th
Mar 2017
Ray
@rctay
Mar 27 2017 08:01
@jack17529 you used the clone url of the form git@github.com:fossasia... which requires you to setup ssh keys on github, but the form https://... doesn't
Aseem Shrey
@LuD1161
Mar 27 2017 08:04
If I want to work on two different ideas do I need to submit two different proposals?
Both ideas are under the same project
JACK_1729
@jack17529
Mar 27 2017 10:42
@rctay thanks
JACK_1729
@jack17529
Mar 27 2017 12:12
I am getting this error while running
vagrant@vagrant-ubuntu-trusty-64:/vagrant$ python create_db.py
Traceback (most recent call last):
File "create_db.py", line 6, in <module>
from app import current_app
File "/vagrant/app/init.py", line 3, in <module>
from flask.exthook import ExtDeprecationWarning
File "/usr/local/lib/python2.7/dist-packages/flask/init.py", line 19, in <module>
from jinja2 import Markup, escape
File "/usr/local/lib/python2.7/dist-packages/jinja2/init.py", line 33, in <module>
from jinja2.environment import Environment, Template
File "/usr/local/lib/python2.7/dist-packages/jinja2/environment.py", line 15, in <module>
from jinja2 import nodes
File "/usr/local/lib/python2.7/dist-packages/jinja2/nodes.py", line 19, in <module>
from jinja2.utils import Markup
File "/usr/local/lib/python2.7/dist-packages/jinja2/utils.py", line 624, in <module>
from markupsafe import Markup, escape, soft_unicode
ImportError: No module named markupsafe
JACK_1729
@jack17529
Mar 27 2017 12:26
anybody who can help?
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 13:02
@jack17529 again perform pip install -r requirements.txt
This is when all your dependencies are not installed.
pip install MarkupSafe==1.0
JACK_1729
@jack17529
Mar 27 2017 13:07
every pip command gives me this error
vagrant@vagrant-ubuntu-trusty-64:/vagrant$ pip install -r requirements.txt
Traceback (most recent call last):
File "/usr/bin/pip", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/local/lib/python2.7/dist-packages/pkg_resources/init.py", line 72, in <module>
import packaging.requirements
File "/usr/local/lib/python2.7/dist-packages/packaging/requirements.py", line 9, in <module>
from pyparsing import stringStart, stringEnd, originalTextFor, ParseException
ImportError: No module named pyparsing
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 13:08
pip install pyparsing==2.2.0
JACK_1729
@jack17529
Mar 27 2017 13:09
Every pip command the same error
vagrant@vagrant-ubuntu-trusty-64:/vagrant$ pip install pyparsing==2.2.0
Traceback (most recent call last):
File "/usr/bin/pip", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/local/lib/python2.7/dist-packages/pkg_resources/init.py", line 72, in <module>
import packaging.requirements
File "/usr/local/lib/python2.7/dist-packages/packaging/requirements.py", line 9, in <module>
from pyparsing import stringStart, stringEnd, originalTextFor, ParseException
ImportError: No module named pyparsing
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 13:10
again do pip install -r requirements.txt
JACK_1729
@jack17529
Mar 27 2017 13:11
still the same error.
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 13:13
pip install pyparsing
JACK_1729
@jack17529
Mar 27 2017 13:20
Hey I think I have figured it out . Thnks
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 16:08
@niranjan94 @SaptakS I think event-dashboard.js is not working properly as changes in the column width over there is not getting reflected.
Niranjan Rajendran
@niranjan94
Mar 27 2017 16:10
Then please fix it ... Open an issue if there isn't one already please ... thanks :)
Himanshi-Khandelwal
@Himanshi-Khandelwal
Mar 27 2017 16:10
I need to confirm about this.